Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.dsl
Interface IvyArtifactRepository

All Superinterfaces:
  ArtifactRepository

    public interface IvyArtifactRepository

extends ArtifactRepository

An artifact repository which uses an Ivy format to store artifacts and meta-data.

Method Summary
`void` | `artifactPattern(String pattern)` Adds an Ivy artifact pattern to use to locate artifacts in this repository.
`String` | `getPassword()` Returns the password to use when authenticating to this repository.
`String` | `getUserName()` Returns the user name to use when authenticating to this repository.
`void` | `setPassword(String password)` Sets the password to use when authenticating to this repository.
`void` | `setUserName(String username)` Sets the user name to use when authenticating to this repository.

Methods inherited from interface org.gradle.api.artifacts.dsl.ArtifactRepository
`getName, setName`

Method Detail

### getUserName

    String getUserName()

  Returns the user name to use when authenticating to this repository.

  Returns:
    The user name. May be null.

### setUserName

    void setUserName(String username)

  Sets the user name to use when authenticating to this repository.

  Parameters:
    `username` - The user name. May be null.

### getPassword

    String getPassword()

  Returns the password to use when authenticating to this repository.

  Returns:
    The password. May be null.

### setPassword

    void setPassword(String password)

  Sets the password to use when authenticating to this repository.

  Parameters:
    `password` - The password. May be null.

### artifactPattern

    void artifactPattern(String pattern)

  Adds an Ivy artifact pattern to use to locate artifacts in this repository.

  Parameters:
    `pattern` - The artifact pattern.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD